CCTimerOptionsControl = class(Turbine.UI.Button);

function CCTimerOptionsControl:Constructor(parent, name, width, height, click)
	Turbine.UI.Button.Constructor(self);

	self.parent = parent;
	self.click = click;

	local n = math.ceil(string.len(name) / 2);

	self:SetSize(width, height);
	self:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	self:SetText(name);
	self:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self:SetParent(parent);
	self:SetForeColor(Turbine.UI.Color(1.0, 0.0, 0.0, 0.0));
end

function CCTimerOptionsControl:SetColor(c)
	self:SetBackColor(Turbine.UI.Color(1.0, c, c, c));
end

function CCTimerOptionsControl:MouseClick(args)
	self.click();
end