CCTimerOptionsFixedField = class(Turbine.UI.Control);

function CCTimerOptionsFixedField:Constructor(parent, label, w1, w2, h, incoming)
	Turbine.UI.Control.Constructor(self);

	self.parent = parent;
	self.setting = setting;
	self.incoming = incoming;

	self:SetSize(w1 + w2, h);
	self:SetParent(parent);

	self.field = Turbine.UI.Lotro.TextBox();
	self.field.parent = self;
	self.field:SetSize(w1, h);
	self.field:SetPosition(0, 0);
	self.field:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	self.field:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	self.field:SetReadOnly(true);
	self.field:SetParent(self);

	self.label = Turbine.UI.Label();
	self.label:SetSize(w2, h);
	self.label:SetPosition(w1, 0);
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.label:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	self.label:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.label:SetText(label);
	self.label:SetParent(self);
end

function CCTimerOptionsFixedField:SetValue(v)
	self.field:SetText(self.incoming(v));
end