CCTimerOptionsQuickslot = class(Turbine.UI.Lotro.Quickslot);

function CCTimerOptionsQuickslot:Constructor(parent, size)
	Turbine.UI.Lotro.Quickslot.Constructor(self);

	self.parent = parent;
	self.safe = 0;
	self.state = 0;

	self:SetSize(size, size);
	self:SetParent(parent);
end

function CCTimerOptionsQuickslot:MouseEnter(args)
	self.state = 0;
end

function CCTimerOptionsQuickslot:MouseLeave(args)
	self.state = 1;
end

function CCTimerOptionsQuickslot:MouseUp(args)
	if self.state == 1 then
		self.state = 2;
	end
end

function CCTimerOptionsQuickslot:DragLeave(args)
	if self.state == 2 then
		self:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Undefined, ""));
	end

	self.state = 0;
end

function CCTimerOptionsQuickslot:ShortcutChanged(args)
	local shortcut = self:GetShortcut();

	if shortcut == nil or shortcut:GetType() == Turbine.UI.Lotro.ShortcutType.Undefined then
		self.parent:SetShortcut(nil);
	elseif shortcut:GetType() == Turbine.UI.Lotro.ShortcutType.Skill then
		self.parent:SetShortcut(shortcut:GetData());
	else
		self:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Undefined, ""));
	end
end

